org.apache.poi.hpsf

## Enum ClassIDPredefined

- java.lang.Object
- - java.lang.Enum<ClassIDPredefined>
  - - org.apache.poi.hpsf.ClassIDPredefined

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ClassIDPredefined>

      public enum ClassIDPredefined
      extends java.lang.Enum<ClassIDPredefined>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DOC_SUMMARY` Document summary information first property section
    `EQUATION_V3` Equation Editor 3.0
    `EXCEL_V11` Excel V11 / 2003 - document
    `EXCEL_V12` Excel V12 / 2007 - document
    `EXCEL_V12_MACRO` Excel V12 / 2007 - macro
    `EXCEL_V12_XLSB` Excel V12 / 2007 - xlsb document
    `EXCEL_V14`
    `EXCEL_V14_CHART`
    `EXCEL_V14_ODS` Excel V14 / 2010 - OpenDocument spreadsheet
    `EXCEL_V14_WORKBOOK`
    `EXCEL_V3` Excel V3 - document
    `EXCEL_V3_CHART` Excel V3 - chart
    `EXCEL_V3_MACRO` Excel V3 - macro
    `EXCEL_V7` Excel V7 / 95 - document
    `EXCEL_V7_CHART` Excel V7 / 95 - chart
    `EXCEL_V7_WORKBOOK` Excel V7 / 95 - workbook
    `EXCEL_V8` Excel V8 / 97 - document
    `EXCEL_V8_CHART` Excel V8 / 97 - chart
    `FILE_MONIKER` File Moniker
    `OLE_V1_PACKAGE` OLE 1.0 package manager
    `PAINT` Microsoft Paint
    `PDF` AcroExch.Document
    `POWERPOINT_V12` Powerpoint V12 / 2007 - document
    `POWERPOINT_V12_MACRO` Powerpoint V12 / 2007 - macro
    `POWERPOINT_V7` Powerpoint V7 / 95 - document
    `POWERPOINT_V7_SLIDE` Powerpoint V7 / 95 - slide
    `POWERPOINT_V8` Powerpoint V8 / 97 - document
    `POWERPOINT_V8_TPL` Powerpoint V8 / 97 - template
    `PUBLISHER_V12` Publisher V12
    `STD_MONIKER` Standard Hyperlink / STD Moniker
    `SUMMARY_PROPERTIES` Summary information property section
    `TXT_ONLY` Plain Text Persistent Handler
    `URL_MONIKER` URL Moniker
    `USER_PROPERTIES` Document summary information user defined properties section
    `VISIO_V10` Visio 2000 (V6) / 2002 (V10) - drawing
    `WORD_V12` Word V12 / 2007 - document
    `WORD_V12_MACRO` Word V12 / 2007 - macro
    `WORD_V7` Word V7 / 95 - document
    `WORD_V8` Word V8 / 97 - document

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(ClassID classID)`
    `ClassID` | `getClassID()`
    `java.lang.String` | `getContentType()`
    `java.lang.String` | `getFileExtension()`
    `static ClassIDPredefined` | `lookup(ClassID classID)`
    `static ClassIDPredefined` | `lookup(java.lang.String externalForm)`
    `static ClassIDPredefined` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ClassIDPredefined[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### OLE_V1_PACKAGE

          public static final ClassIDPredefined OLE_V1_PACKAGE

      OLE 1.0 package manager

    - #### EXCEL_V3

          public static final ClassIDPredefined EXCEL_V3

      Excel V3 - document

    - #### EXCEL_V3_CHART

          public static final ClassIDPredefined EXCEL_V3_CHART

      Excel V3 - chart

    - #### EXCEL_V3_MACRO

          public static final ClassIDPredefined EXCEL_V3_MACRO

      Excel V3 - macro

    - #### EXCEL_V7

          public static final ClassIDPredefined EXCEL_V7

      Excel V7 / 95 - document

    - #### EXCEL_V7_WORKBOOK

          public static final ClassIDPredefined EXCEL_V7_WORKBOOK

      Excel V7 / 95 - workbook

    - #### EXCEL_V7_CHART

          public static final ClassIDPredefined EXCEL_V7_CHART

      Excel V7 / 95 - chart

    - #### EXCEL_V8

          public static final ClassIDPredefined EXCEL_V8

      Excel V8 / 97 - document

    - #### EXCEL_V8_CHART

          public static final ClassIDPredefined EXCEL_V8_CHART

      Excel V8 / 97 - chart

    - #### EXCEL_V11

          public static final ClassIDPredefined EXCEL_V11

      Excel V11 / 2003 - document

    - #### EXCEL_V12

          public static final ClassIDPredefined EXCEL_V12

      Excel V12 / 2007 - document

    - #### EXCEL_V12_MACRO

          public static final ClassIDPredefined EXCEL_V12_MACRO

      Excel V12 / 2007 - macro

    - #### EXCEL_V12_XLSB

          public static final ClassIDPredefined EXCEL_V12_XLSB

      Excel V12 / 2007 - xlsb document

    - #### EXCEL_V14

          public static final ClassIDPredefined EXCEL_V14

    - #### EXCEL_V14_WORKBOOK

          public static final ClassIDPredefined EXCEL_V14_WORKBOOK

    - #### EXCEL_V14_CHART

          public static final ClassIDPredefined EXCEL_V14_CHART

    - #### EXCEL_V14_ODS

          public static final ClassIDPredefined EXCEL_V14_ODS

      Excel V14 / 2010 - OpenDocument spreadsheet

    - #### WORD_V7

          public static final ClassIDPredefined WORD_V7

      Word V7 / 95 - document

    - #### WORD_V8

          public static final ClassIDPredefined WORD_V8

      Word V8 / 97 - document

    - #### WORD_V12

          public static final ClassIDPredefined WORD_V12

      Word V12 / 2007 - document

    - #### WORD_V12_MACRO

          public static final ClassIDPredefined WORD_V12_MACRO

      Word V12 / 2007 - macro

    - #### POWERPOINT_V7

          public static final ClassIDPredefined POWERPOINT_V7

      Powerpoint V7 / 95 - document

    - #### POWERPOINT_V7_SLIDE

          public static final ClassIDPredefined POWERPOINT_V7_SLIDE

      Powerpoint V7 / 95 - slide

    - #### POWERPOINT_V8

          public static final ClassIDPredefined POWERPOINT_V8

      Powerpoint V8 / 97 - document

    - #### POWERPOINT_V8_TPL

          public static final ClassIDPredefined POWERPOINT_V8_TPL

      Powerpoint V8 / 97 - template

    - #### POWERPOINT_V12

          public static final ClassIDPredefined POWERPOINT_V12

      Powerpoint V12 / 2007 - document

    - #### POWERPOINT_V12_MACRO

          public static final ClassIDPredefined POWERPOINT_V12_MACRO

      Powerpoint V12 / 2007 - macro

    - #### PUBLISHER_V12

          public static final ClassIDPredefined PUBLISHER_V12

      Publisher V12

    - #### VISIO_V10

          public static final ClassIDPredefined VISIO_V10

      Visio 2000 (V6) / 2002 (V10) - drawing

    - #### EQUATION_V3

          public static final ClassIDPredefined EQUATION_V3

      Equation Editor 3.0

    - #### PDF

          public static final ClassIDPredefined PDF

      AcroExch.Document

    - #### TXT_ONLY

          public static final ClassIDPredefined TXT_ONLY

      Plain Text Persistent Handler

    - #### PAINT

          public static final ClassIDPredefined PAINT

      Microsoft Paint

    - #### STD_MONIKER

          public static final ClassIDPredefined STD_MONIKER

      Standard Hyperlink / STD Moniker

    - #### URL_MONIKER

          public static final ClassIDPredefined URL_MONIKER

      URL Moniker

    - #### FILE_MONIKER

          public static final ClassIDPredefined FILE_MONIKER

      File Moniker

    - #### DOC_SUMMARY

          public static final ClassIDPredefined DOC_SUMMARY

      Document summary information first property section

    - #### USER_PROPERTIES

          public static final ClassIDPredefined USER_PROPERTIES

      Document summary information user defined properties section

    - #### SUMMARY_PROPERTIES

          public static final ClassIDPredefined SUMMARY_PROPERTIES

      Summary information property section

  - ### Method Detail

    - #### values

          public static ClassIDPredefined[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ClassIDPredefined c : ClassIDPredefined.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ClassIDPredefined valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getClassID

          public ClassID getClassID()

    - #### getFileExtension

          public java.lang.String getFileExtension()

    - #### getContentType

          public java.lang.String getContentType()

    - #### lookup

          public static ClassIDPredefined lookup(java.lang.String externalForm)

    - #### lookup

          public static ClassIDPredefined lookup(ClassID classID)

    - #### equals

          public boolean equals(ClassID classID)

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.